[Flags]
public enum PhysicsLayer : uint {
	/// <summary> Objects that are part of the scene, and never move. </summary>
	Static  = 1 << 0,
	/// <summary> Objects the player collides with, but may move. </summary>
	Dynamic = 1 << 1,
	/// <summary> The player. </summary>
	Player  = 1 << 2,
	/// <summary> Small objects the player doesn't collide with, but collide with the player. </summary>
	Item    = 1 << 3,


	/// <summary> Objects that may be picked up. </summary>
	Pickup  = 1 << 8,
	/// <summary> Objects that other objects may be placed against. </summary>
	Place   = 1 << 9,
}
